Bug 114454 - Config params with incomplete / missing ParameterInfo objects.
Config params with incomplete / missing ParameterInfo objects.
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2004-01-28 07:00 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 10:22:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-01-28 07:00:40 EST
Description of problem:
A number of config params in Core / CMS have missing/incomplete 
parameter info data:



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. ccm-run com.arsdigita.london.util.ConfigPrinter ccm-core ccm-cms
2.

Actual results:
Warnings output:

util.ConfigPrinter - Info for parameter waf.runtime.jdbc_pool_size is
incomplete
util.ConfigPrinter - Info for parameter waf.runtime.jdbc_ping_interval
is incomplete
util.ConfigPrinter - Info for parameter waf.web.site_name is incomplete
util.ConfigPrinter - Info for parameter
waf.web.dispatcher_context_path is incomplete
util.ConfigPrinter - Info for parameter
waf.web.dispatcher_servlet_path is incomplete
util.ConfigPrinter - Info for parameter
waf.web.application_file_resolver is incomplete
util.ConfigPrinter - Info for parameter
waf.templating.stylesheet_paths is incomplete
util.ConfigPrinter - Info for parameter
waf.templating.stylesheet_resolver is incomplete
util.ConfigPrinter - Info for parameter
waf.mail.javamail.configuration is incomplete
util.ConfigPrinter - Parameter waf.lucene.location has no info
util.ConfigPrinter - Parameter waf.lucene.interval has no info
util.ConfigPrinter - Info for parameter waf.bebop.presentation_manager
is incomplete
util.ConfigPrinter - Info for parameter waf.bebop.base_page is incomplete
util.ConfigPrinter - Info for parameter waf.bebop.tidy_config_file is
incomplete
util.ConfigPrinter - Parameter waf.dispatcher.static_url_prefix has no
info
util.ConfigPrinter - Parameter waf.dispatcher.is_caching_active has no
info
util.ConfigPrinter - Parameter waf.dispatcher.default_expiry has no info
util.ConfigPrinter - Parameter waf.workflow.simple.alerts_enabled has
no info
util.ConfigPrinter - Parameter waf.workflow.simple.alerts_sender has
no info
util.ConfigPrinter - Info for parameter
com.arsdigita.cms.item_adapters is incomplete
util.ConfigPrinter - Info for parameter
com.arsdigita.cms.dhtml_editor_config is incomplete
util.ConfigPrinter - Info for parameter
com.arsdigita.cms.dhtml_editor_plugins is incomplete
util.ConfigPrinter - Info for parameter
com.arsdigita.cms.default_notification_time is incomplete

Expected results:
No warning messages

Additional info:
Comment 1 Richard Li 2004-01-28 18:27:17 EST
The ConfigPrinter uses a strict definition of "complete" that I'm not
sure I agree with. Is it necessary to specify the format of, say,
waf.web.site_name AND an example?
Comment 2 Richard Li 2004-01-28 18:35:10 EST
I take that back. That was a dumb comment.
Comment 3 Jon Orris 2004-02-05 10:22:27 EST
Verified fix w/ ConfigPrinter

Note You need to log in before you can comment on or make changes to this bug.